com.pdfunit.xml

## Enum NodeType

- java.lang.Object
- - java.lang.Enum<NodeType>
  - - com.pdfunit.xml.NodeType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NodeType>

      @DoNotObfuscate
      public enum NodeType
      extends java.lang.Enum<NodeType>

  This class defines constants and methods for XPath evaluation.
  Since:
    2016.05
  Author:
    Carsten Siedentop, March 2016

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN`
    `NODE`
    `STRING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.String` | `asString(java.lang.Object value)`
    `javax.xml.namespace.QName` | `getQName()`
    `static NodeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NodeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOOLEAN

          public static final NodeType BOOLEAN

    - #### NODE

          public static final NodeType NODE

    - #### STRING

          public static final NodeType STRING

  - ### Method Detail

    - #### values

          public static NodeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NodeType c : NodeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NodeType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getQName

          public javax.xml.namespace.QName getQName()

    - #### asString

          public abstract java.lang.String asString(java.lang.Object value)

Copyright (C) PDFUnit.com. See here for license.